Bug 508724 - collectl changes cwd
collectl changes cwd
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: collectl (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Dan Horák
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-29 12:26 EDT by James M. Leddy
Modified: 2014-08-11 01:42 EDT (History)
3 users (show)

See Also:
Fixed In Version: 3.3.4-2.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-19 06:21:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James M. Leddy 2009-06-29 12:26:27 EDT
The collectl wrapper script changes the current working directory, thus making things confusing.  

$ collectl -p file.raw.gz -sJ -oT --from 07:02:40 --thru 07:04:40
Error: can't find 'file.raw.gz'
type 'collectl -h' for help
$ collectl -p $(pwd)/file.raw.gz -sJ -oT --from 07:02:40 --thru 07:04:40

# INTERRUPT DETAILS
#          Int    Cpu0   Cpu1   Cpu2   Cpu3   Cpu4   Cpu5   Cpu6   Cpu7   Type            Device(s)
etc...



$ cat $(which collectl)
#!/bin/sh
cd /usr/libexec/collectl
exec /usr/bin/perl collectl.pl $@


I'm wondering if it's strictly necessary to change directory.  Do the perl scripts require you to be _in_ /uer/libexec/collectl in order to execute them?  In this particular case I was able to run the perl script without a problem w/o changing directory.
Comment 1 Dan Horák 2009-06-29 13:51:49 EDT
Probably it was required in the past, now the modules are loaded with absolute path, where the dirname part is taken from the path of the main script. I will replace the startup script with a symlink pointing to /usr/libexec/collectl/collectl.pl as upstream is doing.
Comment 2 Fedora Update System 2009-06-29 14:05:18 EDT
collectl-3.3.4-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/collectl-3.3.4-2.fc11
Comment 3 Fedora Update System 2009-06-29 14:05:23 EDT
collectl-3.3.4-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/collectl-3.3.4-2.fc10
Comment 4 Fedora Update System 2009-07-02 01:48:33 EDT
collectl-3.3.4-2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update collectl'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-7231
Comment 5 Fedora Update System 2009-07-02 01:52:13 EDT
collectl-3.3.4-2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update collectl'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-7264
Comment 6 Fedora Update System 2009-07-19 06:21:18 EDT
collectl-3.3.4-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2009-07-19 06:23:47 EDT
collectl-3.3.4-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.